Subject: Re: bug#32183: New ‘guix pull’/root/.config/current/bin/guix: Permission denied

From: Konrad Hinsen <[email-masked]>
Date: Tue, 11 Sep 2018 11:34:33 +0200

Hi Ludo,

> I don’t think you’re doing anything wrong.  Could anyone of you who
> experience this problem strace guix-daemon?  I’ve thought about this and
> don’t understand where that EACCES (“Permission denied”) comes from.
>
> Specifically, you’d have to run something along these lines as root:
>
>   strace -f -p $(pidof guix-daemon) -o log
>
> and then, as root or non-root (it doesn’t matter), run, say:
>
>   guix build curl -S --no-substitutes

The log file (compressed) is attached.

In doing this I noticed that I have two guix-daemon processes running:

root      1583  0.0  0.0  33156  2412 ?        Ss   08:55   0:00 /root/.config/guix/current/bin/guix-daemon --build-users-group=guixbuild
root     13003  0.0  0.0  36028  6256 ?        Ss   11:28   0:00 /root/.config/guix/current/bin/guix-daemon 12770

I ran strace on the first one.

Konrad.